If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Intermittent dom/media/test/test_webvtt_event_same_time.html | cue1 onexit event before than cue2 onenter

RESOLVED FIXED in Firefox 56

Status

()

Core
Audio/Video: Playback
RESOLVED FIXED
4 months ago
4 months ago

People

(Reporter: Treeherder Bug Filer, Assigned: bechen)

Tracking

(Depends on: 1 bug, {intermittent-failure})

unspecified
mozilla56
intermittent-failure
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox-esr52 unaffected, firefox54 unaffected, firefox55 unaffected, firefox56 fixed)

Details

(Whiteboard: [stockwell fixed:product])

MozReview Requests

()

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(1 attachment)

(Reporter)

Description

4 months ago
treeherder
Filed by: wkocher [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=106742405&repo=autoland

https://queue.taskcluster.net/v1/task/E3xfT94wQEytKS4ikEBBEA/runs/0/artifacts/public/logs/live_backing.log

Comment 1

4 months ago
30 failures in 168 pushes (0.179 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 13
* mozilla-inbound: 8
* mozilla-central: 5
* try: 2
* cedar: 2

Platform breakdown:
* osx-10-10: 10
* windows7-32-vm: 9
* windows7-32: 4
* windows8-64: 2
* linux64-qr: 2
* linux32: 2
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1372715&startday=2017-06-14&endday=2017-06-14&tree=all
(Assignee)

Updated

4 months ago
Assignee: nobody → bechen
(Assignee)

Updated

4 months ago
Blocks: 1368489
(Assignee)

Comment 2

4 months ago
https://treeherder.mozilla.org/#/jobs?repo=try&revision=8ef7232e9c6a
(Assignee)

Comment 3

4 months ago
09:06:14     INFO -  GECKO(1336) | time 2
09:06:14     INFO -  GECKO(1336) | cue2.onenter 2
09:06:14     INFO -  TEST-INFO | started process screenshot
09:06:14     INFO -  TEST-INFO | screenshot: exit 0
09:06:14     INFO -  Buffered messages logged at 09:06:12
09:06:14     INFO -  152 INFO --- create video ---
09:06:14     INFO -  Buffered messages logged at 09:06:13
09:06:14     INFO -  153 INFO TEST-PASS | dom/media/test/test_webvtt_event_same_time.html | cue3 onenter event before than cue4 onenter
09:06:14     INFO -  Buffered messages finished
09:06:14    ERROR -  154 INFO TEST-UNEXPECTED-FAIL | dom/media/test/test_webvtt_event_same_time.html | cue1 onexit event before than cue2 onenter

Seems that something wrong when the video.currentTime is exactly equal to 2. cue1[1-2], cue2[2-3]
Comment hidden (mozreview-request)

Comment 5

4 months ago
mozreview-review
Comment on attachment 8877948 [details]
Bug 1372715 - TimeMarchesOn step 1, fix the EndTime check for "current cue".

https://reviewboard.mozilla.org/r/149356/#review154086

::: dom/media/TextTrack.cpp:218
(Diff revision 1)
>    // added, that have valid start and end times for the current playback time.
>    // We can stop iterating safely once we encounter a cue that does not have
>    // a valid start time as the cue list is sorted.
>    for (; mCuePos < mCueList->Length() &&
>           (*mCueList)[mCuePos]->StartTime() <= playbackTime; mCuePos++) {
> -    if ((*mCueList)[mCuePos]->EndTime() >= playbackTime) {
> +    if ((*mCueList)[mCuePos]->EndTime() > playbackTime) {

Oops!
Attachment #8877948 - Flags: review?(giles) → review+
Doesn't seem to have resolved the issue on the try push though?

Comment 7

4 months ago
43 failures in 131 pushes (0.328 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* autoland: 20
* mozilla-inbound: 15
* try: 4
* mozilla-central: 4

Platform breakdown:
* osx-10-10: 20
* windows7-32-vm: 13
* linux64-qr: 5
* windows7-32: 2
* linux64: 2
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1372715&startday=2017-06-15&endday=2017-06-15&tree=all
(Assignee)

Comment 8

4 months ago
(In reply to Ralph Giles (:rillian) | needinfo me from comment #6)
> Doesn't seem to have resolved the issue on the try push though?

Now, I will hard code the playbackTime to any value to verify the bug at my local machine.
(Assignee)

Comment 9

4 months ago
https://treeherder.mozilla.org/#/jobs?repo=try&revision=539b143e1426
(Assignee)

Comment 10

4 months ago
Here http://searchfox.org/mozilla-central/source/dom/media/TextTrack.cpp#208
The logic of add/remove cue to mActiveCueList need to be consistent. So need to replace the "<" to "<=".
Comment hidden (mozreview-request)
(Assignee)

Updated

4 months ago
Keywords: checkin-needed

Comment 12

4 months ago
Pushed by ryanvm@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/61e0bf2ab0aa
TimeMarchesOn step 1, fix the EndTime check for "current cue". r=rillian
Keywords: checkin-needed

Comment 13

4 months ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/61e0bf2ab0aa
Status: NEW → RESOLVED
Last Resolved: 4 months ago
status-firefox56: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla56

Comment 14

4 months ago
28 failures in 147 pushes (0.19 failures/push) were associated with this bug yesterday.   

Repository breakdown:
* mozilla-inbound: 13
* autoland: 13
* mozilla-central: 2

Platform breakdown:
* windows7-32-vm: 13
* osx-10-10: 9
* windows7-32: 4
* linux64-qr: 1
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1372715&startday=2017-06-16&endday=2017-06-16&tree=all
Whiteboard: [stockwell fixed:product]

Comment 15

4 months ago
115 failures in 814 pushes (0.141 failures/push) were associated with this bug in the last 7 days. 

This is the #8 most frequent failure this week. 

** This failure happened more than 75 times this week! Resolving this bug is a very high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 1 week, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 54
* mozilla-inbound: 38
* mozilla-central: 13
* try: 6
* cedar: 3
* pine: 1

Platform breakdown:
* osx-10-10: 45
* windows7-32-vm: 43
* windows7-32: 10
* linux64-qr: 8
* linux64: 4
* linux32: 3
* windows8-64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1372715&startday=2017-06-12&endday=2017-06-18&tree=all
status-firefox54: --- → unaffected
status-firefox55: --- → unaffected
status-firefox-esr52: --- → unaffected
Depends on: 1374341
(Assignee)

Updated

4 months ago
Blocks: 1373975

Comment 16

4 months ago
4 failures in 892 pushes (0.004 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 4

Platform breakdown:
* osx-10-10: 2
* linux64-qr: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1372715&startday=2017-06-19&endday=2017-06-25&tree=all
You need to log in before you can comment on or make changes to this bug.